Support "config.yaml" because they officially recommend "yaml"

Hi.
In addition to config.yml, I suggest that config.yaml be supported.
This is because the yaml formula says “Please use “.yaml” when possible”.
https://yaml.org/faq.html

Of course, this is not a firebrand, so it’s just one suggestion.
It was never because I was frustrated that I mistook .yaml for .yml :joy:

*I’m doing a machine translation, so the text may not be right :sob: